package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生档案信息对象 student_info
 * 
 * @author ruoyi
 * @date 2023-07-21
 */
public class StudentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学生id（家长-学生(审核通过之后数据)表id） */
    @Excel(name = "学生id", readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别(1：男，2：女) */
    @Excel(name = "性别(1：男，2：女)")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 学校 */
    @Excel(name = "学校")
    private String school;

    /** 学号 */
    @Excel(name = "学号")
    private String studentNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 身高 */
    @Excel(name = "身高")
    private String height;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 血型 */
    @Excel(name = "血型")
    private String bloodType;

    /** 政治面貌 */
    @Excel(name = "政治面貌")
    private String politicalStatus;

    /** 证件照(地址) */
    @Excel(name = "证件照(地址)")
    private String identificationPhoto;

    /** 门禁照(地址) */
    @Excel(name = "门禁照(地址)")
    private String entrancePermit;

    /** 父亲 */
    @Excel(name = "父亲")
    private String fatherName;

    /** 父亲联系方式 */
    @Excel(name = "父亲联系方式")
    private String fatherTelephone;

    /** 母亲 */
    @Excel(name = "母亲")
    private String motherName;

    /** 母亲联系方式 */
    @Excel(name = "母亲联系方式")
    private String motherTelephone;

    /** 居住地址 */
    @Excel(name = "s")
    private String address;

    private String classId;

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(String age) 
    {
        this.age = age;
    }

    public String getAge() 
    {
        return age;
    }
    public void setSchool(String school) 
    {
        this.school = school;
    }

    public String getSchool() 
    {
        return school;
    }
    public void setStudentNumber(String studentNumber) 
    {
        this.studentNumber = studentNumber;
    }

    public String getStudentNumber() 
    {
        return studentNumber;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setWeight(String weight) 
    {
        this.weight = weight;
    }

    public String getWeight() 
    {
        return weight;
    }
    public void setBloodType(String bloodType) 
    {
        this.bloodType = bloodType;
    }

    public String getBloodType() 
    {
        return bloodType;
    }
    public void setPoliticalStatus(String politicalStatus) 
    {
        this.politicalStatus = politicalStatus;
    }

    public String getPoliticalStatus() 
    {
        return politicalStatus;
    }
    public void setIdentificationPhoto(String identificationPhoto) 
    {
        this.identificationPhoto = identificationPhoto;
    }

    public String getIdentificationPhoto() 
    {
        return identificationPhoto;
    }
    public void setEntrancePermit(String entrancePermit) 
    {
        this.entrancePermit = entrancePermit;
    }

    public String getEntrancePermit() 
    {
        return entrancePermit;
    }
    public void setFatherName(String fatherName) 
    {
        this.fatherName = fatherName;
    }

    public String getFatherName() 
    {
        return fatherName;
    }
    public void setFatherTelephone(String fatherTelephone) 
    {
        this.fatherTelephone = fatherTelephone;
    }

    public String getFatherTelephone() 
    {
        return fatherTelephone;
    }
    public void setMotherName(String motherName) 
    {
        this.motherName = motherName;
    }

    public String getMotherName() 
    {
        return motherName;
    }
    public void setMotherTelephone(String motherTelephone) 
    {
        this.motherTelephone = motherTelephone;
    }

    public String getMotherTelephone() 
    {
        return motherTelephone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("studentId", getStudentId())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("school", getSchool())
            .append("studentNumber", getStudentNumber())
            .append("idCard", getIdCard())
            .append("height", getHeight())
            .append("weight", getWeight())
            .append("bloodType", getBloodType())
            .append("politicalStatus", getPoliticalStatus())
            .append("identificationPhoto", getIdentificationPhoto())
            .append("entrancePermit", getEntrancePermit())
            .append("fatherName", getFatherName())
            .append("fatherTelephone", getFatherTelephone())
            .append("motherName", getMotherName())
            .append("motherTelephone", getMotherTelephone())
            .append("address", getAddress())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
